import createAxios from '@/utils/request'

//波形高级分析
export function analysis(data) {
    return createAxios({
        url: '/advance-boot/waveAnalysis/analysis',
        method: 'post',
        params: data
    })
}
// 分析记录管理
export function queryRelevantLogPage(data) {
    return createAxios({
        url: '/advance-boot/process/queryRelevantLogPage',
        method: 'post',
        data: data
    })
}
// 删除策略
export function delRelevantLog(data) {
    return createAxios({
        url: '/advance-boot/process/delRelevantLog',
        method: 'get',
        params: data
    })
}
// 影响范围分析 查询
export function queryEventsAssPage(data) {
    return createAxios({
        url: '/advance-boot/process/queryEventsAssPage',
        method: 'post',
        data
    })
}
// 启动关联分析
export function processEvents(data) {
    return createAxios({
        url: '/advance-boot/process/processEvents',
        method: 'get',
        params: data
    })
}
// 暂降源定位
export function queryEventDetailByAssId(data) {
    return createAxios({
        url: '/advance-boot/process/queryEventDetailByAssId',
        method: 'get',
        params: data
    })
}
